Bug 22978 - kernel-pcmcia-cs / network
kernel-pcmcia-cs / network
Product: Red Hat Linux
Classification: Retired
Component: hotplug (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Trond Eivind Glomsrxd
Brock Organ
Florence Gold
Depends On:
  Show dependency treegraph
Reported: 2000-12-29 05:48 EST by Gerald Teschl
Modified: 2007-04-18 12:30 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-03-02 17:40:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Gerald Teschl 2000-12-29 05:48:08 EST
A pcmcia network card will be brought up even if network is stopped!
This could impose a security risk if one starts into runlevel 1 and
starts pcmcia to access say a pcmcia cdrom. Then the network card
will be started unintentionally as well (without ipchains/iptables

The following patch should do the trick, but for some reason the card
is still brought up (even if you rm /etc/pcmcia/network)!?

--- network.orig        Fri Dec 29 11:34:13 2000
+++ network     Fri Dec 29 11:44:18 2000
@@ -13,7 +13,10 @@
 case "${action:?}" in
-       /etc/sysconfig/network-scripts/ifup ifcfg-${device}
+       if [ -f /var/lock/subsys/network ]
+       then
+               /etc/sysconfig/network-scripts/ifup ifcfg-${device}
+       fi
        /etc/sysconfig/network-scripts/ifdown ifcfg-${device}
Comment 1 Glen Foster 2001-01-11 16:03:59 EST
This defect is considered MUST-FIX for Florence Gold release
Comment 2 Erik Troan 2001-02-28 21:28:52 EST
bill, should we change this? w/ the new hotplug stuff it's a larger question
Comment 3 Bill Nottingham 2001-02-28 21:31:11 EST
We should probably change that in hotplug, yes.
Comment 4 Trond Eivind Glomsrxd 2001-03-02 17:39:24 EST
Should be fixed in hotplug-2001_02_14-12. Try them at http://people.redhat.com/teg/
Comment 5 Trond Eivind Glomsrxd 2001-03-02 17:40:00 EST
(which you definitely should use on a much newer beta...)

Note You need to log in before you can comment on or make changes to this bug.